Skip to main content

createAzureDevopsConfiguration

Create a configuration for Azure DevOps integration (associate a repository to an asset).

createAzureDevopsConfiguration(
input: CreateAzureDevopsConfigurationInput!
): CreateAzureDevopsConfigurationPayload

Arguments​

createAzureDevopsConfiguration.input ● CreateAzureDevopsConfigurationInput! non-null input​

Parameters for CreateAzureDevopsConfiguration

Type​

CreateAzureDevopsConfigurationPayload object​

Autogenerated return type of CreateAzureDevopsConfiguration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the integrations query first and use data.integrations.collection[].id as integrationId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateAzureDevopsConfiguration($input: CreateAzureDevopsConfigurationInput!) {\n createAzureDevopsConfiguration(input: $input) { id clientMutationId importedCount }\n}","variables":{"input":{"integrationId":"<integration_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute